import { FC, KeyboardEvent } from 'react';
import { InputProps } from "../input";
export declare type ValidationQueryType = {
    value: string | number;
    errorMessage?: string;
};
export declare type ValidationTypeProps = {
    value: 'emptyString' | 'email' | 'number';
    errorMessage?: string;
};
export interface ValidatedInputProps extends InputProps {
    errorText?: boolean;
    onError?: (invalid: boolean) => void;
    validationQuery?: {
        minLength?: ValidationQueryType;
        maxLength?: ValidationQueryType;
        type?: ValidationTypeProps;
    };
    onKeyDown?: (e: KeyboardEvent) => void;
    errorDelay?: boolean;
    errorDelayTime?: number;
}
export declare const ValidatedInput: FC<ValidatedInputProps>;
