// node modules
import React, {FC} from "react";

// local components
import { SelectButton } from "../select_button";

// local files
import checkIcon from '../../../assets/check_icon_white.svg'
import { theming } from "../../../theme";
import { useStyles } from "./styles";

export interface CheckButtonPrimaryProps {
    label: string;
    className?: string;
    selected?: boolean;
    disabled?: boolean;
    children?: any;
    onClick?: () => any;
}

export const CheckButtonPrimary: FC<CheckButtonPrimaryProps> = ({
    label = '',
    className = '',
    selected = false,
    children,
    ...otherProps
}) => {
    const { root, checkWrapper, checkIconCl, activeCheckWrapper } = useStyles({ theme: theming.useTheme()});
    const checkBtnClass = `${root} ${className}`

    return (
        <SelectButton selected={selected} label={label} className={checkBtnClass} {...otherProps}>
            {children ?  children : null}
            <div className={`${checkWrapper} ${selected ? activeCheckWrapper : ''}`}>
                { selected && <img className={checkIconCl} src={checkIcon} alt="" />}
            </div>
        </SelectButton>
    )
};