// node modules
import { createUseStyles } from 'react-jss'

// local files
import { Theme } from "../../../theme";

export const useStyles = createUseStyles({
    root: {
        borderRadius: '2em',
        background: ({ theme: { palette } }: Theme) => palette.primary,
        color: ({ theme: { palette } }) => palette.light,
        transition: 'all .3 lineal',

        '&:active': {
            background: () => '#312cd0',
        }
    }
})