// node modules
import { createUseStyles } from 'react-jss'

// local files
import { Theme } from "../../../theme";

export const useStyles = createUseStyles({
    root: {
        outline: 'none',
        border: 'none',
        background: 'none',
        fontSize: 16,
        padding: '18px',
        cursor: 'pointer',
        transition: 'all .2s ease',
        minWidth: 150,
        '&>p': {
            fontWeight: 'normal',
        }
    },
    disabledClass: {
        cursor: 'not-allowed',
        color: ({ theme: { palette } }: Theme) => [[palette.black], '!important'],
        background: ({ theme: { palette } }) => [[palette.light_gray], '!important']
    },
    centeredLabel: {
        textAlign: 'center',
        width: '100%',
    }
})
